<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::MemPoolT&lt; ITEM_SIZE &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_mem_pool_t.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classtinyxml2_1_1_mem_pool_t-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtinyxml2_1_1_mem_pool_t.png" usemap="#tinyxml2::MemPoolT_3C_20ITEM_5FSIZE_20_3E_map" alt=""/>
  <map id="tinyxml2::MemPoolT_3C_20ITEM_5FSIZE_20_3E_map" name="tinyxml2::MemPoolT_3C_20ITEM_5FSIZE_20_3E_map">
<area href="classtinyxml2_1_1_mem_pool.html" alt="tinyxml2::MemPool" shape="rect" coords="0,0,210,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtinyxml2_1_1_mem_pool_t_1_1_block.html">Block</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html">Item</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a04cf45156e6f913f93972869ff8a1d94" id="r_a04cf45156e6f913f93972869ff8a1d94"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="#a04cf45156e6f913f93972869ff8a1d94ab72c1e16d6626854c41feb19e60c54d1">ITEMS_PER_BLOCK</a> = (4 * 1024) / ITEM_SIZE
 }</td></tr>
<tr class="separator:a04cf45156e6f913f93972869ff8a1d94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac8fa6dbb403f009cf9c8a33c6f2803b3" id="r_ac8fa6dbb403f009cf9c8a33c6f2803b3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac8fa6dbb403f009cf9c8a33c6f2803b3">MemPoolT</a> ()</td></tr>
<tr class="separator:ac8fa6dbb403f009cf9c8a33c6f2803b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fa4fee934a3df2b9e74282244d78390" id="r_a5fa4fee934a3df2b9e74282244d78390"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5fa4fee934a3df2b9e74282244d78390">~MemPoolT</a> ()</td></tr>
<tr class="separator:a5fa4fee934a3df2b9e74282244d78390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22d595caa0e9d23aa080f49ca6475fdd" id="r_a22d595caa0e9d23aa080f49ca6475fdd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a22d595caa0e9d23aa080f49ca6475fdd">Clear</a> ()</td></tr>
<tr class="separator:a22d595caa0e9d23aa080f49ca6475fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54e4d9b343459ef1731314a99877ff35" id="r_a54e4d9b343459ef1731314a99877ff35"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a54e4d9b343459ef1731314a99877ff35">ItemSize</a> () const</td></tr>
<tr class="separator:a54e4d9b343459ef1731314a99877ff35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445a6c80151ba6268b24ec62a7c84d74" id="r_a445a6c80151ba6268b24ec62a7c84d74"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a445a6c80151ba6268b24ec62a7c84d74">CurrentAllocs</a> () const</td></tr>
<tr class="separator:a445a6c80151ba6268b24ec62a7c84d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a334b67f5bd878b2b3c1746ebd240590a" id="r_a334b67f5bd878b2b3c1746ebd240590a"><td class="memItemLeft" align="right" valign="top">virtual void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a334b67f5bd878b2b3c1746ebd240590a">Alloc</a> ()</td></tr>
<tr class="separator:a334b67f5bd878b2b3c1746ebd240590a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408ce0918e9d3d5e5e1cc4896944875f" id="r_a408ce0918e9d3d5e5e1cc4896944875f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a408ce0918e9d3d5e5e1cc4896944875f">Free</a> (void *mem)</td></tr>
<tr class="separator:a408ce0918e9d3d5e5e1cc4896944875f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47eefbd934ef70d973ea41d41ab5f239" id="r_a47eefbd934ef70d973ea41d41ab5f239"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a47eefbd934ef70d973ea41d41ab5f239">Trace</a> (const char *name)</td></tr>
<tr class="separator:a47eefbd934ef70d973ea41d41ab5f239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee3c611215ae08cce41a940bf2763027" id="r_aee3c611215ae08cce41a940bf2763027"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aee3c611215ae08cce41a940bf2763027">SetTracked</a> ()</td></tr>
<tr class="separator:aee3c611215ae08cce41a940bf2763027"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bcdc302ae15d2810e11192321a8f5f1" id="r_a3bcdc302ae15d2810e11192321a8f5f1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3bcdc302ae15d2810e11192321a8f5f1">Untracked</a> () const</td></tr>
<tr class="separator:a3bcdc302ae15d2810e11192321a8f5f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtinyxml2_1_1_mem_pool"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classtinyxml2_1_1_mem_pool')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtinyxml2_1_1_mem_pool.html">tinyxml2::MemPool</a></td></tr>
<tr class="memitem:a9101a0083d7370c85bd5aaaba7157f84 inherit pub_methods_classtinyxml2_1_1_mem_pool" id="r_a9101a0083d7370c85bd5aaaba7157f84"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_mem_pool.html#a9101a0083d7370c85bd5aaaba7157f84">MemPool</a> ()</td></tr>
<tr class="separator:a9101a0083d7370c85bd5aaaba7157f84 inherit pub_methods_classtinyxml2_1_1_mem_pool"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55ad9e3faeca702e6ccbb38fdbcad72 inherit pub_methods_classtinyxml2_1_1_mem_pool" id="r_ae55ad9e3faeca702e6ccbb38fdbcad72"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_mem_pool.html#ae55ad9e3faeca702e6ccbb38fdbcad72">~MemPool</a> ()</td></tr>
<tr class="separator:ae55ad9e3faeca702e6ccbb38fdbcad72 inherit pub_methods_classtinyxml2_1_1_mem_pool"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afa8770a0645d28bd849e7e5aefb326ed" id="r_afa8770a0645d28bd849e7e5aefb326ed"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afa8770a0645d28bd849e7e5aefb326ed">MemPoolT</a> (const <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">MemPoolT</a> &amp;)</td></tr>
<tr class="separator:afa8770a0645d28bd849e7e5aefb326ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12ba6478e385244beb2ca3947879fd24" id="r_a12ba6478e385244beb2ca3947879fd24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a12ba6478e385244beb2ca3947879fd24">operator=</a> (const <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">MemPoolT</a> &amp;)</td></tr>
<tr class="separator:a12ba6478e385244beb2ca3947879fd24"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a028d833de2bf5e6257b4b27a68702a84" id="r_a028d833de2bf5e6257b4b27a68702a84"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a>&lt; <a class="el" href="structtinyxml2_1_1_mem_pool_t_1_1_block.html">Block</a> *, 10 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a028d833de2bf5e6257b4b27a68702a84">_blockPtrs</a></td></tr>
<tr class="separator:a028d833de2bf5e6257b4b27a68702a84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff60ad785be00814e442e53fb4462688" id="r_aff60ad785be00814e442e53fb4462688"><td class="memItemLeft" align="right" valign="top"><a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html">Item</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aff60ad785be00814e442e53fb4462688">_root</a></td></tr>
<tr class="separator:aff60ad785be00814e442e53fb4462688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa908fd62011c6e633d7af196d667e9d" id="r_afa908fd62011c6e633d7af196d667e9d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afa908fd62011c6e633d7af196d667e9d">_currentAllocs</a></td></tr>
<tr class="separator:afa908fd62011c6e633d7af196d667e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd5867e06ad91a655f3c9f95ca163e9b" id="r_acd5867e06ad91a655f3c9f95ca163e9b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acd5867e06ad91a655f3c9f95ca163e9b">_nAllocs</a></td></tr>
<tr class="separator:acd5867e06ad91a655f3c9f95ca163e9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf3960c9e30197aeb1c0af271c297db9" id="r_aaf3960c9e30197aeb1c0af271c297db9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aaf3960c9e30197aeb1c0af271c297db9">_maxAllocs</a></td></tr>
<tr class="separator:aaf3960c9e30197aeb1c0af271c297db9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5048ad99f7350f7224b13cf85fbff151" id="r_a5048ad99f7350f7224b13cf85fbff151"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5048ad99f7350f7224b13cf85fbff151">_nUntracked</a></td></tr>
<tr class="separator:a5048ad99f7350f7224b13cf85fbff151"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a04cf45156e6f913f93972869ff8a1d94" name="a04cf45156e6f913f93972869ff8a1d94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04cf45156e6f913f93972869ff8a1d94">&#9670;&#160;</a></span>anonymous enum</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a04cf45156e6f913f93972869ff8a1d94ab72c1e16d6626854c41feb19e60c54d1" name="a04cf45156e6f913f93972869ff8a1d94ab72c1e16d6626854c41feb19e60c54d1"></a>ITEMS_PER_BLOCK&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac8fa6dbb403f009cf9c8a33c6f2803b3" name="ac8fa6dbb403f009cf9c8a33c6f2803b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8fa6dbb403f009cf9c8a33c6f2803b3">&#9670;&#160;</a></span>MemPoolT() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::MemPoolT </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5fa4fee934a3df2b9e74282244d78390" name="a5fa4fee934a3df2b9e74282244d78390"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fa4fee934a3df2b9e74282244d78390">&#9670;&#160;</a></span>~MemPoolT()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::~<a class="el" href="classtinyxml2_1_1_mem_pool_t.html">MemPoolT</a> </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afa8770a0645d28bd849e7e5aefb326ed" name="afa8770a0645d28bd849e7e5aefb326ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa8770a0645d28bd849e7e5aefb326ed">&#9670;&#160;</a></span>MemPoolT() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::MemPoolT </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">MemPoolT</a>&lt; ITEM_SIZE &gt; &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a334b67f5bd878b2b3c1746ebd240590a" name="a334b67f5bd878b2b3c1746ebd240590a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a334b67f5bd878b2b3c1746ebd240590a">&#9670;&#160;</a></span>Alloc()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void * <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::Alloc </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classtinyxml2_1_1_mem_pool.html#a38227917fac8d37181e2fa83c65d9b1e">tinyxml2::MemPool</a>.</p>

</div>
</div>
<a id="a22d595caa0e9d23aa080f49ca6475fdd" name="a22d595caa0e9d23aa080f49ca6475fdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d595caa0e9d23aa080f49ca6475fdd">&#9670;&#160;</a></span>Clear()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::Clear </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a445a6c80151ba6268b24ec62a7c84d74" name="a445a6c80151ba6268b24ec62a7c84d74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a445a6c80151ba6268b24ec62a7c84d74">&#9670;&#160;</a></span>CurrentAllocs()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::CurrentAllocs </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a408ce0918e9d3d5e5e1cc4896944875f" name="a408ce0918e9d3d5e5e1cc4896944875f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a408ce0918e9d3d5e5e1cc4896944875f">&#9670;&#160;</a></span>Free()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::Free </td>
          <td>(</td>
          <td class="paramtype">void *</td>          <td class="paramname"><span class="paramname"><em>mem</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classtinyxml2_1_1_mem_pool.html#a49e3bfac2cba2ebd6776b31e571f64f7">tinyxml2::MemPool</a>.</p>

</div>
</div>
<a id="a54e4d9b343459ef1731314a99877ff35" name="a54e4d9b343459ef1731314a99877ff35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54e4d9b343459ef1731314a99877ff35">&#9670;&#160;</a></span>ItemSize()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::ItemSize </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classtinyxml2_1_1_mem_pool.html#a0c518d49e3a94bde566f61e13b7240bb">tinyxml2::MemPool</a>.</p>

</div>
</div>
<a id="a12ba6478e385244beb2ca3947879fd24" name="a12ba6478e385244beb2ca3947879fd24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12ba6478e385244beb2ca3947879fd24">&#9670;&#160;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">MemPoolT</a>&lt; ITEM_SIZE &gt; &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aee3c611215ae08cce41a940bf2763027" name="aee3c611215ae08cce41a940bf2763027"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee3c611215ae08cce41a940bf2763027">&#9670;&#160;</a></span>SetTracked()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::SetTracked </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classtinyxml2_1_1_mem_pool.html#ac5804dd1387b2e4de5eef710076a0db1">tinyxml2::MemPool</a>.</p>

</div>
</div>
<a id="a47eefbd934ef70d973ea41d41ab5f239" name="a47eefbd934ef70d973ea41d41ab5f239"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47eefbd934ef70d973ea41d41ab5f239">&#9670;&#160;</a></span>Trace()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::Trace </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>name</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bcdc302ae15d2810e11192321a8f5f1" name="a3bcdc302ae15d2810e11192321a8f5f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bcdc302ae15d2810e11192321a8f5f1">&#9670;&#160;</a></span>Untracked()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::Untracked </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a028d833de2bf5e6257b4b27a68702a84" name="a028d833de2bf5e6257b4b27a68702a84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a028d833de2bf5e6257b4b27a68702a84">&#9670;&#160;</a></span>_blockPtrs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a>&lt; <a class="el" href="structtinyxml2_1_1_mem_pool_t_1_1_block.html">Block</a>*, 10 &gt; <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::_blockPtrs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afa908fd62011c6e633d7af196d667e9d" name="afa908fd62011c6e633d7af196d667e9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa908fd62011c6e633d7af196d667e9d">&#9670;&#160;</a></span>_currentAllocs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::_currentAllocs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf3960c9e30197aeb1c0af271c297db9" name="aaf3960c9e30197aeb1c0af271c297db9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf3960c9e30197aeb1c0af271c297db9">&#9670;&#160;</a></span>_maxAllocs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::_maxAllocs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd5867e06ad91a655f3c9f95ca163e9b" name="acd5867e06ad91a655f3c9f95ca163e9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd5867e06ad91a655f3c9f95ca163e9b">&#9670;&#160;</a></span>_nAllocs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::_nAllocs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5048ad99f7350f7224b13cf85fbff151" name="a5048ad99f7350f7224b13cf85fbff151"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5048ad99f7350f7224b13cf85fbff151">&#9670;&#160;</a></span>_nUntracked</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::_nUntracked</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff60ad785be00814e442e53fb4462688" name="aff60ad785be00814e442e53fb4462688"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff60ad785be00814e442e53fb4462688">&#9670;&#160;</a></span>_root</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int ITEM_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html">Item</a>* <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT</a>&lt; ITEM_SIZE &gt;::_root</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">MemPoolT</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
